import { pluginNamePrefix } from '@vuepress-denaro/core';
import { getDirname, path } from '@vuepress/utils';
const __dirname = getDirname(import.meta.url);
export const oneClickCopyPlugin = ({ copySelector = [
    'div[class*="language-"] pre',
    'div[class*="aside-code"] aside',
], copyMessage = 'Copied successfully!', toolTipMessage = 'Copy to clipboard', duration = 3000, } = {}) => {
    const pluginObj = {
        name: `${pluginNamePrefix}one-click-copy`,
        define: {
            __ONE_CLICK_COPY_COPY_SELECTOR__: copySelector,
            __ONE_CLICK_COPY_COPY_MESSAGE__: copyMessage,
            __ONE_CLICK_COPY_TOOL_TIP_MESSAGE__: toolTipMessage,
            __ONE_CLICK_COPY_DURATION__: duration, // Successful prompt disappearing time.
        },
        clientConfigFile: path.resolve(__dirname, '../client/config.js'),
        alias: {
            // workaround for https://github.com/vitejs/vite/issues/7621
            [`${pluginNamePrefix}one-click-copy/client`]: path.resolve(__dirname, '../client/index.js'),
        },
    };
    return pluginObj;
};
